Download it now!
Bug 71650 - BUGZILLAASSISTANT: More Automated Bug Submission Process Based on Yes/No Questions
Summary: BUGZILLAASSISTANT: More Automated Bug Submission Process Based on Yes/No Ques...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-15 15:26 UTC by Joel Madero
Modified: 2015-04-21 15:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2013-11-15 15:26:25 UTC
As we have discussed in the past, it would be great to have a BSA2.0 or some such thing where the majority of the process is done automatically via simple yes/no questions and the system "adapts" to the users answers. I am willing to do a tree diagram of the options. 

Benefits of this would be that at the end we would be:

1. Much more information from the user

2. Automagically prioritize a bug based on responses

3. Require more non optional information when it's appropriate, example: can a simple test document show this problem (yes/no) if they say yes, automatically require them to attach a document.

4. Perhaps it can be used to get clearer steps (but this is a bit trickier to do)

5. Offer a ton of benefits for those who English isn't their primary language, require the user to type less
Comment 1 retired 2013-11-16 00:16:07 UTC
Both approaches have their con and pros. The current BSA isn’t that stupid. With all the enhancements currently pending I’m not sure if the current BSA with those enhancements integrated beats a tree-flow yes/no style. But that’s to be discussed when we have more info and / or a mockup.

Setting to NEW.
Comment 2 Buovjaga 2015-04-21 15:31:10 UTC
Closing as WONTFIX. BSA has gone away and in the (hopefully near) future we will be using BZ's improved guided entry template: http://bugzilla.readthedocs.org/en/latest/integrating/templates.html#particular-templates